/*------------------------------------*\
    #NEWS-LIST
\*------------------------------------*/
/**
 * News list component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}news-list,
%#{$inuit-namespace}news-list {
    display: block;
}

.#{$inuit-namespace}news-list__date,
%#{$inuit-namespace}news-list__date {
    display: block;
    font-size: 75%;
}

@if $theme == "reloaded" {
    .c-reloaded-list {
        &__img {
            position:relative;
            span {
                position: absolute;
                left: 1rem;
                bottom: 1rem;
                font-size: 23px;
                line-height: 34px;
                color: $frs-color-white;
                font-weight: bold;
            }
            &--left {
                margin-right:0;
            }
            a {
                &:before {
                    content: '';
                    background: -webkit-gradient(linear, left bottom, right top, from(rgba(0,0,0,0.9)), to(rgba(255,255,255,0)));
                    background: -webkit-linear-gradient(bottom, rgba(0,0,0,0.9) 0%, rgba(255,255,255,0) 100%);
                    background: linear-gradient(0deg, rgba(0,0,0,0.3) 0%, rgba(255,255,255,0) 100%);
                    display: block;
                    width: 100%;
                    height: 123px;
                    position: absolute;
                    z-index: 0;
                    bottom:0;
                    @media #{$medium-up} {
                        width: 94%;
                    }
                }
            }
            img {
                margin:0;
            }
        }
        &__content {
            time {
                display:inline-block;
                margin:1rem 0;
            }
            p {
                min-height:96px;
            }
            .o-cms-content__header-link {
                line-height:24px;
                color:$frs-color-grey;
                font-weight:600;
                margin-right: 6%;
                @include frs-hover {
                    color:$frs-color-grey;
                    text-decoration:underline;
                }
            }
        }
        &__title {
            margin-right:6%;
            font-family: HelveticaNeueLT, Open Sans, Arial, Helvetica, sans-serif;
        }
    }
    .c-news-slider__list {
        .is-active:first-child {

        }
        &--left {
            margin-right:0;
        }
        .c-teaser__img--left {
            float:none;
            margin-right:0;
            @media #{$medium-up} {
                float:left;
                margin-right:6%;
            }
        }
        .news-more {
            text-align:center;
            display: block;
            margin-bottom: 3rem;
            font-size: 1.2rem;
        }
        .c-news-slider__arrow {
            top:80px;
            z-index:11;
            @media #{$medium-up} {
                display:none;
            }
        }
    }
    .o-cms-content__body.reloaded {
        .o-gridblock__item--large {
            margin-right:0 !important;
            padding-right:0 !important;
            width:75%;
            .c-reloaded-list {
                &__item {
                    margin-right:0.25rem;
                    width:33.3%;
                    float:left;
                    &__height2 {
                        min-height:200px;
                    }
                }
            }
            .c-news-reloaded__more {
                margin-top:3rem;
                text-align:center;
                font-size:20px;
                line-height:29px;
                a {
                    color:$frs-color-grey;
                    font-weight:bold;
                }
            }
        }
        .o-gridblock__item--small {
            margin-left:0 !important;
            padding-left:0 !important;
            width:25%;
        }
        .c-teaser__img--left {
            margin-right:0;
        }
    }
}
